Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mycarenet.commons.protocol.v3
Class SendRequestType

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.mycarenet.commons.protocol.v3.SendRequestType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CancelAttestationRequest, GetInsurabilityRequest, MemberDataConsultationRequest, SendAttestationRequest, SendAttestationRequest

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2019-04-01T01:42:07+02:00",
               comments="JAXB RI v2.2.11")
    public class SendRequestType

extends RequestType
implements Serializable

Generic synchronised request type.

Java class for SendRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SendRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="CommonInput" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v3}CommonInputType"/>
             <element name="Routing" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v3}RoutingType" minOccurs="0"/>
             <element name="Detail" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v3}BlobType"/>
             <element name="Xades" type="{http://www.w3.org/2005/05/xmlmime}base64Binary" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SendRequestType()`

Method Summary
`CommonInputType` | `getCommonInput()` Gets the value of the commonInput property.
`BlobType` | `getDetail()` Gets the value of the detail property.
`RoutingType` | `getRouting()` Gets the value of the routing property.
`Base64Binary` | `getXades()` Gets the value of the xades property.
`void` | `setCommonInput(CommonInputType value)` Sets the value of the commonInput property.
`void` | `setDetail(BlobType value)` Sets the value of the detail property.
`void` | `setRouting(RoutingType value)` Sets the value of the routing property.
`void` | `setXades(Base64Binary value)` Sets the value of the xades property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendRequestType

    public SendRequestType()

Method Detail

### getCommonInput

    public CommonInputType getCommonInput()

  Gets the value of the commonInput property.

  Returns:
    possible object is `CommonInputType`

### setCommonInput

    public void setCommonInput(CommonInputType value)

  Sets the value of the commonInput property.

  Parameters:
    `value` - allowed object is `CommonInputType`

### getRouting

    public RoutingType getRouting()

  Gets the value of the routing property.

  Returns:
    possible object is `RoutingType`

### setRouting

    public void setRouting(RoutingType value)

  Sets the value of the routing property.

  Parameters:
    `value` - allowed object is `RoutingType`

### getDetail

    public BlobType getDetail()

  Gets the value of the detail property.

  Returns:
    possible object is `BlobType`

### setDetail

    public void setDetail(BlobType value)

  Sets the value of the detail property.

  Parameters:
    `value` - allowed object is `BlobType`

### getXades

    public Base64Binary getXades()

  Gets the value of the xades property.

  Returns:
    possible object is `Base64Binary`

### setXades

    public void setXades(Base64Binary value)

  Sets the value of the xades property.

  Parameters:
    `value` - allowed object is `Base64Binary`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.